Subject: Re: bug#48752: 28.0.50; Feature request: Hook hide-ifdef into font-lock

From: Stefan Monnier <[email-masked]>
Date: Mon, 31 May 2021 11:44:01 -0400

> As mentioned on emacs-devel, how exactly to automate this should be
> carefully thought-out, because blindly using the JIT font-lock
> mechanism will cause code blocks to appear and disappear several time
> as long as the user types the preprocessor directive.

When the code is actually made invisible the appear/disappear could be
quite annoying, indeed, but I think Ergus is mostly concerned about the
case where `hide-ifdef-shadow` is activated, where it would make sense
to make it behave like comments and strings, I think.

        Stefan